Package com.independentsoft.office.word

# Class VerticalInsideBorder

java.lang.Object
com.independentsoft.office.word.Border
com.independentsoft.office.word.VerticalInsideBorder

public class VerticalInsideBorder extends Border
The Class VerticalInsideBorder.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.word.Border

  `color, frameEffect, shadow, space, style, themeColor, themeShade, themeTint, width`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VerticalInsideBorder()`
  Instantiates a new vertical inside border.
  `VerticalInsideBorder​(InternalXMLStreamReader reader)`
  Instantiates a new vertical inside border.
  `VerticalInsideBorder​(StandardBorderStyle style)`
  Instantiates a new vertical inside border.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VerticalInsideBorder`
  `clone()`
  `String`
  `toString()`

  ### Methods inherited from class com.independentsoft.office.word.Border

  `getColor, getFrameEffect, getShadow, getSpace, getStyle, getThemeColor, getThemeShade, getThemeTint, getWidth, setColor, setFrameEffect, setShadow, setSpace, setStyle, setThemeColor, setThemeShade, setThemeTint, setWidth`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VerticalInsideBorder

    public VerticalInsideBorder()
    Instantiates a new vertical inside border.

  - ### VerticalInsideBorder

    public VerticalInsideBorder​(StandardBorderStyle style)
    Instantiates a new vertical inside border.
    Parameters:
      `style` - the style

  - ### VerticalInsideBorder

    public VerticalInsideBorder​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new vertical inside border.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public VerticalInsideBorder clone()
    Overrides:
      `clone` in class `Border`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Border`